package queue

import "sparrow/pkg/protocol"

type QueueProducer interface {
	Init() error
	GetDefaultTopic() string
	Send(info *TopicPartitionInfo, msg protocol.Payload, callback Callback) error
	Stop() error
}
